#
# Conditional build:
%bcond_without	python		# any Python
%bcond_without	python2		# CPython 2.x module
%bcond_without	python3		# CPython 3.x module
%bcond_without	static_libs	# static library

%if %{without python}
%undefine	with_python2
%undefine	with_python3
%endif
Summary:	Google's HTML5 parser library for C99
Summary(pl.UTF-8):	Biblioteka Google'a do analizy HTML5 dla C99
Name:		gumbo-parser
Version:	0.10.1
Release:	6
Epoch:		1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/google/gumbo-parser/releases
# TODO:		https://github.com/google/gumbo-parser/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:	https://github.com/google/gumbo-parser/archive/v%{version}.tar.gz
# Source0-md5:	c6f75c9eda65e897c242f8958a34aed0
URL:		http://github.com/google/gumbo-parser
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented
as a C99 library. It is fully conformant with the HTML5 specification,
robust and resilient to bad input, supports source locations and
pointers back to the original text.

%description -l pl.UTF-8
Gumbo to implementacja algorytmu analizy HTML5 jako biblioteka C99.
Jest w pełni zgodna ze specyfikacją HTML5, potężna i odporna na błędne
wejście; obsługuje położenia źródłowe i wskaźniki powrotne do
pierwotnego tekstu.

%package devel
Summary:	Development files for Google's C99 HTML5 parser
Summary(pl.UTF-8):	Pliki programistyczne C99 analizatora HTML5 Google'a
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This subpackage contains the header files for developing applications
that want to make use of gumbo-parser.

%description devel -l pl.UTF-8
Ten podpakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących gumbo-parser.

%package static
Summary:	Static Gumbo parser library
Summary(pl.UTF-8):	Statyczna biblioteka analizatora Gumbo
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Gumbo parser library.

%description static -l pl.UTF-8
Statyczna biblioteka analizatora Gumbo.

%package -n python-gumbo
Summary:	Python 2 interface to Gumbo HTML5 parser
Summary(pl.UTF-8):	Interfejs Pythona 2 do analizatora HTML5 Gumbo
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-gumbo
Python 2 interface to Gumbo HTML5 parser.

%description -n python-gumbo -l pl.UTF-8
Interfejs Pythona 2 do analizatora HTML5 Gumbo.

%package -n python3-gumbo
Summary:	Python 3 interface to Gumbo HTML5 parser
Summary(pl.UTF-8):	Interfejs Pythona 3 do analizatora HTML5 Gumbo
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python3-gumbo
Python 3 interface to Gumbo HTML5 parser.

%description -n python3-gumbo -l pl.UTF-8
Interfejs Pythona 3 do analizatora HTML5 Gumbo.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgumbo.la

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgumbo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgumbo.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgumbo.so
%{_includedir}/gumbo.h
%{_includedir}/tag_enum.h
%{_pkgconfigdir}/gumbo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgumbo.a
%endif

%if %{with python2}
%files -n python-gumbo
%defattr(644,root,root,755)
%{py_sitescriptdir}/gumbo-%{version}-py*.egg-info
%{py_sitescriptdir}/gumbo
%endif

%if %{with python3}
%files -n python3-gumbo
%defattr(644,root,root,755)
%{py3_sitescriptdir}/gumbo-%{version}-py*.egg-info
%{py3_sitescriptdir}/gumbo
%endif
%changelog
* Sat Mar 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gumbo-parser.git;a=log;h=master

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 18bfd7a
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c72e384
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 5eefe58
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d324675
- release 3 (by relup.sh)

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 728bf4d
- added -static, python- and python3-; release 2

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 490492b
- up to 0.10.1

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 93f8d85
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f3e01f5
- up to 0.9.2

* Tue Sep 09 2014 Elan Ruusamäe <glen@delfi.ee> 12e9bf2
- version appears to be 1.0 according to AC_INIT

* Tue Sep 09 2014 Elan Ruusamäe <glen@delfi.ee> 101092f
- unify

* Mon Sep 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b3fa85a
- up to 20140908 snap

* Wed Jul 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b17948
- initial

